/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\engines\ML Peerless + misc areas\Jormundgand\Mobiles\Regular\PalaceDeepSeaSerpent.cs
Lines of code: 86
***********************************************************/


using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a deep sea serpents corpse" )]
	public class PalaceDeepSeaSerpent : BaseCreature
	{
		[Constructable]
		public PalaceDeepSeaSerpent() : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a deep sea serpent";
			Body = 150;
			BaseSoundID = 447;

			Hue = 687;

			SetStr( 251, 425 );
			SetDex( 87, 135 );
			SetInt( 87, 155 );

			SetHits( 551, 555 );

			SetDamage( 15, 19 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 50, 60 );
			SetResistance( ResistanceType.Fire, 70, 80 );
			SetResistance( ResistanceType.Cold, 70, 80 );
			SetResistance( ResistanceType.Poison, 30, 40 );
			SetResistance( ResistanceType.Energy, 15, 20 );

			SetSkill( SkillName.MagicResist, 75.2, 83.0 );
			SetSkill( SkillName.Tactics, 70.1, 80.0 );
			SetSkill( SkillName.Wrestling, 120);
			SetSkill( SkillName.EvalInt, 90.3, 104.3 );
			SetSkill( SkillName.Magery, 80.6, 105.6 );
			SetSkill( SkillName.Meditation, 101.1, 110.0 );

			Fame = 11000;
			Karma = -11000;

			VirtualArmor = 60;
			CanSwim = true;
			CantWalk = false;

			if ( Utility.RandomBool() )
			PackItem( new SulfurousAsh( 4 ) );
			else
			PackItem( new BlackPearl( 4 ) );
		}
		
		public override void OnDeath( Container c )
		{
			if ( Utility.Random( 20 ) == 0 )
			{		
				Item item;

				switch ( Utility.Random( 1 ))
				{
								default:
					case 1: item = new MinionKey(); break;
							}

				c.DropItem( item );
			}

			base.OnDeath( c );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.Average, 2 );
		}

		public override bool HasBreath{ get{ return true; } }
		public override int Meat{ get{ return 6; } }
		public override int Hides{ get{ return 16; } }
		public override HideType HideType{ get{ return HideType.Horned; } }
		public override int Scales{ get{ return 10; } }
		public override ScaleType ScaleType{ get{ return ScaleType.Blue; } }
		public override bool Unprovokable{ get{ return true; } }
		public override bool Uncalmable{ get{ return true; } }
		public override bool CantbeSupreme { get { return true;} }
		public override bool IsMLCreature { get { return true;} } 

		public PalaceDeepSeaSerpent( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}